Package oracle.jdbc

## Interface StructMetaData

All Superinterfaces:
  `OracleResultSetMetaData`, `java.sql.ResultSetMetaData`, `java.sql.Wrapper`

    public interface StructMetaData
    extends OracleResultSetMetaData

An interface to get information about structured column types.

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleResultSetMetaData

`OracleResultSetMetaData.SecurityAttribute`

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAttributeJavaName​(int column)` Gets a JAVA_STRUCT attribute's external name.
`int` `getLocalColumnCount()` Get number of local attributes i.e.
`java.lang.String` `getOracleColumnClassName​(int column)` Return the fully-qualified name of the Datum class whose instances are manufactured if the method OracleResultSet.getOracleObject is called to retrieve a value from a column.
`boolean` `isInherited​(int column)` Indicates whether the attribute is inherited from its supertype.

### Methods inherited from interface oracle.jdbc.OracleResultSetMetaData

`getAnnotations, getDomainName, getDomainSchema, getScale, getSecurityAttribute, getVectorMetaData, isColumnInvisible, isColumnJSON, isNCHAR, isVariableScale`

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getAttributeJavaName

    java.lang.String getAttributeJavaName​(int column)
                                   throws java.sql.SQLException

Gets a JAVA_STRUCT attribute's external name.

Parameters:
  `column` - the first attribute is 1, the second is 2, ...
Returns:
  attribute external name; return null if the attribute is not an attribute of a JAVA_STRUCT object.
Throws:
  `java.sql.SQLException` - if a database access error occurs
Since:
  8.2.0

#### getOracleColumnClassName

    java.lang.String getOracleColumnClassName​(int column)
                                       throws java.sql.SQLException

Return the fully-qualified name of the Datum class whose instances are manufactured if the method OracleResultSet.getOracleObject is called to retrieve a value from a column.

Parameters:
  `column` -
Returns:
Throws:
  `java.sql.SQLException`

#### isInherited

    boolean isInherited​(int column)
                 throws java.sql.SQLException

Indicates whether the attribute is inherited from its supertype.

Parameters:
  `column` -
Returns:
  true is the attribute is inherited from the object type's supertype(s). Returns false if the attribute is defined in the subtype.
Throws:
  `java.sql.SQLException` - if a database access error occurs
Since:
  8.2.0

#### getLocalColumnCount

    int getLocalColumnCount()
                     throws java.sql.SQLException

Get number of local attributes i.e. not inherited from its supertype.

Returns:
  number of local attribute.
Throws:
  `java.sql.SQLException` - if a database access error occurs
Since:
  8.2.0